
PawnCommon = {
	["ShowLootUpgradeAdvisor"] = true,
	["ShowSpace"] = true,
	["AlignNumbersRight"] = false,
	["LastVersion"] = 1.805,
	["ShowValuesForUpgradesOnly"] = false,
	["Debug"] = false,
	["ShowReforgingAdvisor"] = true,
	["ColorTooltipBorder"] = true,
	["ShowTooltipIcons"] = true,
	["ShowSocketingAdvisor"] = true,
	["Scales"] = {
		["\"Wowhead\":ShamanEnhancement"] = {
			["PerCharacterOptions"] = {
				["Suneri-Kel'Thuzad"] = {
				},
				["Sunario-Kel'Thuzad"] = {
				},
				["Luneri-Sentinels"] = {
				},
				["Suneri-Dragonblight"] = {
				},
				["Itari-Kel'Thuzad"] = {
				},
				["Stormier-Whisperwind"] = {
					["Visible"] = true,
				},
				["Togepi-Kel'Thuzad"] = {
				},
				["Sunnier-Antonidas"] = {
				},
				["Freshmint-Kel'Thuzad"] = {
				},
			},
			["Color"] = "6e95ff",
			["LocalizedName"] = "Shaman: enhancement",
			["DoNotShow1HUpgrades"] = false,
			["NormalizationFactor"] = 1,
			["DoNotShow2HUpgrades"] = true,
			["UpgradesFollowSpecialization"] = true,
			["Provider"] = "Wowhead",
			["UnenchantedColor"] = "526fbf",
		},
		["\"Wowhead\":DeathKnightUnholyDps"] = {
			["PerCharacterOptions"] = {
				["Suneri-Kel'Thuzad"] = {
				},
				["Happier-Whisperwind"] = {
					["Visible"] = true,
				},
				["Sunario-Kel'Thuzad"] = {
				},
				["Luneri-Sentinels"] = {
					["Visible"] = true,
				},
				["Itari-Kel'Thuzad"] = {
				},
				["Suneri-Dragonblight"] = {
				},
				["Sunnier-Antonidas"] = {
				},
				["Solmancer-Arathor"] = {
					["Visible"] = true,
				},
				["Togepi-Kel'Thuzad"] = {
				},
				["Unholier-Arathor"] = {
					["Visible"] = true,
				},
				["Freshmint-Kel'Thuzad"] = {
					["Visible"] = true,
				},
			},
			["Color"] = "ff4d6b",
			["LocalizedName"] = "DK: unholy ",
			["DoNotShow1HUpgrades"] = true,
			["NormalizationFactor"] = 1,
			["DoNotShow2HUpgrades"] = false,
			["UpgradesFollowSpecialization"] = true,
			["Provider"] = "Wowhead",
			["UnenchantedColor"] = "bf3950",
		},
		["\"Wowhead\":RogueAssassination"] = {
			["PerCharacterOptions"] = {
				["Suneri-Kel'Thuzad"] = {
				},
				["Sunario-Kel'Thuzad"] = {
				},
				["Luneri-Sentinels"] = {
				},
				["Sunniest-Whisperwind"] = {
					["Visible"] = true,
				},
				["Itari-Kel'Thuzad"] = {
				},
				["Sunnier-Antonidas"] = {
				},
				["Togepi-Kel'Thuzad"] = {
				},
				["Suneri-Dragonblight"] = {
				},
				["Freshmint-Kel'Thuzad"] = {
				},
			},
			["Color"] = "fff569",
			["LocalizedName"] = "Rogue: assassination",
			["DoNotShow1HUpgrades"] = false,
			["NormalizationFactor"] = 1,
			["DoNotShow2HUpgrades"] = true,
			["UpgradesFollowSpecialization"] = true,
			["Provider"] = "Wowhead",
			["UnenchantedColor"] = "bfb74e",
		},
		["\"Wowhead\":WarriorArms"] = {
			["PerCharacterOptions"] = {
				["Romancer-Whisperwind"] = {
					["Visible"] = true,
				},
				["Eple-Arathor"] = {
					["Visible"] = true,
				},
				["Sunnier-Maiev"] = {
					["Visible"] = true,
				},
				["Sunnier-Antonidas"] = {
				},
				["Togepi-Kel'Thuzad"] = {
				},
				["Luneri-Sentinels"] = {
				},
				["Sunnier-Suramar"] = {
					["Visible"] = true,
					["BestItems"] = {
						["INVTYPE_HEAD"] = {
							77.50186209231464, -- [1]
							78694, -- [2]
							0, -- [3]
						},
						["INVTYPE_FEET"] = {
							43.95632547116578, -- [1]
							78462, -- [2]
							0, -- [3]
						},
						["INVTYPE_CLOAK"] = {
							29.75894368581425, -- [1]
							71415, -- [2]
							0, -- [3]
						},
						["INVTYPE_2HWEAPON"] = {
							1098.332774436939, -- [1]
							78473, -- [2]
							0, -- [3]
						},
						["INVTYPE_FINGER"] = {
							32.60794492720912, -- [1]
							78489, -- [2]
							0, -- [3]
							28.79573411578829, -- [4]
							78413, -- [5]
							0, -- [6]
						},
						["INVTYPE_SHOULDER"] = {
							45.22638528382801, -- [1]
							78743, -- [2]
							0, -- [3]
						},
						["INVTYPE_HAND"] = {
							44.41045028777791, -- [1]
							78684, -- [2]
							0, -- [3]
						},
						["INVTYPE_WAIST"] = {
							48.84222999661438, -- [1]
							78388, -- [2]
							0, -- [3]
						},
						["INVTYPE_NECK"] = {
							19.30775307527367, -- [1]
							71610, -- [2]
							0, -- [3]
						},
						["INVTYPE_LEGS"] = {
							67.98939171651055, -- [1]
							78713, -- [2]
							0, -- [3]
						},
						["INVTYPE_WRIST"] = {
							28.60049655795057, -- [1]
							78446, -- [2]
							0, -- [3]
						},
						["INVTYPE_CHEST"] = {
							58.07290373547004, -- [1]
							78665, -- [2]
							0, -- [3]
						},
					},
				},
			},
			["Color"] = "c79c6e",
			["LocalizedName"] = "Warrior: arms",
			["DoNotShow1HUpgrades"] = false,
			["NormalizationFactor"] = 1,
			["DoNotShow2HUpgrades"] = false,
			["UpgradesFollowSpecialization"] = true,
			["Provider"] = "Wowhead",
			["UnenchantedColor"] = "957552",
		},
		["\"Wowhead\":WarlockDestruction"] = {
			["PerCharacterOptions"] = {
				["Suneri-Kel'Thuzad"] = {
				},
				["Sunario-Kel'Thuzad"] = {
				},
				["Luneri-Sentinels"] = {
				},
				["Itari-Kel'Thuzad"] = {
				},
				["Sunnier-Antonidas"] = {
				},
				["Noms-Arathor"] = {
					["Visible"] = true,
				},
				["Togepi-Kel'Thuzad"] = {
				},
				["Suneri-Dragonblight"] = {
				},
				["Freshmint-Kel'Thuzad"] = {
				},
			},
			["Color"] = "bca5ff",
			["LocalizedName"] = "Warlock: destruction",
			["DoNotShow1HUpgrades"] = false,
			["NormalizationFactor"] = 1,
			["DoNotShow2HUpgrades"] = false,
			["UpgradesFollowSpecialization"] = true,
			["Provider"] = "Wowhead",
			["UnenchantedColor"] = "8d7bbf",
		},
		["Feral Druid Bear"] = {
			["Values"] = {
				["Intellect"] = -1000000,
				["IsFist"] = -1000000,
				["IsMace"] = -1000000,
				["CritRating"] = 0.2074,
				["Agility"] = 1,
				["ExpertiseRating"] = 0.218,
				["MasteryRating"] = 0.3947,
				["Armor"] = 0.9445,
				["IsWand"] = -1000000,
				["Stamina"] = 0.1536,
				["IsGun"] = -1000000,
				["IsCrossbow"] = -1000000,
				["HasteRating"] = 0.0419,
				["Is2HAxe"] = -1000000,
				["IsDagger"] = -1000000,
				["DodgeRating"] = 0.8256,
				["IsBow"] = -1000000,
				["Strength"] = 0.2509,
				["IsSword"] = -1000000,
				["IsAxe"] = -1000000,
				["IsMail"] = -1000000,
				["HitRating"] = 0.109,
				["IsPlate"] = -1000000,
				["Is2HSword"] = -1000000,
				["SpellPower"] = -1000000,
				["IsShield"] = -1000000,
				["Ap"] = 0.12545,
			},
			["UpgradesFollowSpecialization"] = true,
			["Color"] = "e67e24",
			["PerCharacterOptions"] = {
				["Sunnier-Arathor"] = {
					["Visible"] = true,
				},
				["Sunari-Zuluhed"] = {
					["Visible"] = true,
					["BestItems"] = {
						["INVTYPE_HEAD"] = {
							701.553, -- [1]
							31039, -- [2]
							0, -- [3]
						},
						["INVTYPE_FEET"] = {
							620.0115, -- [1]
							34573, -- [2]
							0, -- [3]
						},
						["INVTYPE_2HWEAPON"] = {
							174.8244, -- [1]
							30883, -- [2]
							0, -- [3]
						},
						["INVTYPE_HAND"] = {
							532.7902, -- [1]
							31034, -- [2]
							0, -- [3]
						},
						["INVTYPE_WRIST"] = {
							404.4808, -- [1]
							34444, -- [2]
							0, -- [3]
						},
						["INVTYPE_WAIST"] = {
							520.2407, -- [1]
							34556, -- [2]
							0, -- [3]
						},
						["INVTYPE_NECK"] = {
							7.5264, -- [1]
							32757, -- [2]
							0, -- [3]
						},
						["INVTYPE_SHOULDER"] = {
							636.2311999999999, -- [1]
							31048, -- [2]
							0, -- [3]
						},
						["INVTYPE_LEGS"] = {
							735.6872999999999, -- [1]
							31044, -- [2]
							0, -- [3]
						},
						["INVTYPE_CHEST"] = {
							852.8658, -- [1]
							31042, -- [2]
							0, -- [3]
						},
					},
				},
			},
		},
		["\"Wowhead\":MonkMistweaver"] = {
			["PerCharacterOptions"] = {
			},
			["Color"] = "00ff96",
			["LocalizedName"] = "Monk: mistweaver",
			["DoNotShow1HUpgrades"] = false,
			["NormalizationFactor"] = 1,
			["DoNotShow2HUpgrades"] = false,
			["UpgradesFollowSpecialization"] = true,
			["Provider"] = "Wowhead",
			["UnenchantedColor"] = "00bf70",
		},
		["\"Wowhead\":PaladinTank"] = {
			["PerCharacterOptions"] = {
				["Suneri-Kel'Thuzad"] = {
				},
				["Sunario-Kel'Thuzad"] = {
				},
				["Luneri-Sentinels"] = {
				},
				["Safry-Maiev"] = {
					["Visible"] = true,
				},
				["Itari-Kel'Thuzad"] = {
				},
				["Freshmint-Kel'Thuzad"] = {
				},
				["Sunnier-Antonidas"] = {
				},
				["Suneri-Dragonblight"] = {
				},
				["Togepi-Kel'Thuzad"] = {
				},
				["Romancer-Arathor"] = {
					["Visible"] = true,
				},
				["Moonier-Arathor"] = {
					["Visible"] = true,
				},
			},
			["Color"] = "f58cba",
			["LocalizedName"] = "Paladin: tank",
			["DoNotShow1HUpgrades"] = false,
			["NormalizationFactor"] = 1,
			["DoNotShow2HUpgrades"] = true,
			["UpgradesFollowSpecialization"] = true,
			["Provider"] = "Wowhead",
			["UnenchantedColor"] = "b7698b",
		},
		["\"Wowhead\":HunterBeastMastery"] = {
			["PerCharacterOptions"] = {
				["Suneri-Kel'Thuzad"] = {
					["Visible"] = true,
				},
				["Sunario-Kel'Thuzad"] = {
					["Visible"] = true,
				},
				["Luneri-Sentinels"] = {
				},
				["Bearling-Whisperwind"] = {
					["Visible"] = true,
				},
				["Suneri-Dragonblight"] = {
				},
				["Itari-Kel'Thuzad"] = {
				},
				["Cloudier-Whisperwind"] = {
					["Visible"] = true,
					["BestItems"] = {
						["INVTYPE_HEAD"] = {
							171.8291507729372, -- [1]
							72859, -- [2]
							0, -- [3]
						},
						["INVTYPE_FEET"] = {
							113.0921501706485, -- [1]
							77175, -- [2]
							0, -- [3]
						},
						["INVTYPE_CHEST"] = {
							69.56695442682192, -- [1]
							65862, -- [2]
							0, -- [3]
						},
						["INVTYPE_WRIST"] = {
							87.25276048986147, -- [1]
							77321, -- [2]
							0, -- [3]
						},
						["INVTYPE_2HWEAPON"] = {
							392.5924513149969, -- [1]
							78480, -- [2]
							0, -- [3]
						},
						["INVTYPE_SHOULDER"] = {
							107.2623971090143, -- [1]
							72870, -- [2]
							0, -- [3]
						},
						["INVTYPE_HAND"] = {
							114.5292110018069, -- [1]
							78769, -- [2]
							0, -- [3]
						},
						["INVTYPE_WAIST"] = {
							95.25276048986147, -- [1]
							72887, -- [2]
							0, -- [3]
						},
						["INVTYPE_NECK"] = {
							77.96044970889379, -- [1]
							71129, -- [2]
							0, -- [3]
						},
						["INVTYPE_LEGS"] = {
							134.0566151375226, -- [1]
							78804, -- [2]
							0, -- [3]
						},
						["INVTYPE_FINGER"] = {
							64.18209194940775, -- [1]
							72880, -- [2]
							0, -- [3]
							62.60610319213009, -- [4]
							72845, -- [5]
							0, -- [6]
						},
						["INVTYPE_CLOAK"] = {
							64.44107608913872, -- [1]
							71268, -- [2]
							0, -- [3]
						},
					},
				},
				["Togepi-Kel'Thuzad"] = {
					["Visible"] = true,
				},
				["Sunnier-Antonidas"] = {
				},
				["Freshmint-Kel'Thuzad"] = {
				},
			},
			["Color"] = "abd473",
			["LocalizedName"] = "Hunter: beast mastery",
			["DoNotShow1HUpgrades"] = false,
			["NormalizationFactor"] = 1,
			["DoNotShow2HUpgrades"] = false,
			["UpgradesFollowSpecialization"] = true,
			["Provider"] = "Wowhead",
			["UnenchantedColor"] = "809f56",
		},
		["\"Wowhead\":PriestShadow"] = {
			["PerCharacterOptions"] = {
				["Suneri-Kel'Thuzad"] = {
				},
				["Sunario-Kel'Thuzad"] = {
				},
				["Luneri-Sentinels"] = {
				},
				["Happier-Suramar"] = {
					["Visible"] = true,
				},
				["Itari-Kel'Thuzad"] = {
				},
				["Cloudier-Arathor"] = {
					["Visible"] = true,
				},
				["Sunnier-Antonidas"] = {
					["Visible"] = true,
				},
				["Togepi-Kel'Thuzad"] = {
				},
				["Suneri-Dragonblight"] = {
				},
				["Freshmint-Kel'Thuzad"] = {
				},
			},
			["Color"] = "ffffff",
			["LocalizedName"] = "Priest: shadow",
			["DoNotShow1HUpgrades"] = false,
			["NormalizationFactor"] = 1,
			["DoNotShow2HUpgrades"] = false,
			["UpgradesFollowSpecialization"] = true,
			["Provider"] = "Wowhead",
			["UnenchantedColor"] = "bfbfbf",
		},
		["\"Wowhead\":RogueCombat"] = {
			["PerCharacterOptions"] = {
				["Suneri-Kel'Thuzad"] = {
				},
				["Sunario-Kel'Thuzad"] = {
				},
				["Luneri-Sentinels"] = {
				},
				["Sunniest-Whisperwind"] = {
					["Visible"] = true,
				},
				["Itari-Kel'Thuzad"] = {
				},
				["Sunnier-Antonidas"] = {
				},
				["Togepi-Kel'Thuzad"] = {
				},
				["Suneri-Dragonblight"] = {
				},
				["Freshmint-Kel'Thuzad"] = {
				},
			},
			["Color"] = "fff569",
			["LocalizedName"] = "Rogue: combat",
			["DoNotShow1HUpgrades"] = false,
			["NormalizationFactor"] = 1,
			["DoNotShow2HUpgrades"] = true,
			["UpgradesFollowSpecialization"] = true,
			["Provider"] = "Wowhead",
			["UnenchantedColor"] = "bfb74e",
		},
		["\"Wowhead\":PriestDiscipline"] = {
			["PerCharacterOptions"] = {
				["Suneri-Kel'Thuzad"] = {
				},
				["Sunario-Kel'Thuzad"] = {
				},
				["Luneri-Sentinels"] = {
				},
				["Happier-Suramar"] = {
					["Visible"] = true,
				},
				["Itari-Kel'Thuzad"] = {
				},
				["Cloudier-Arathor"] = {
					["Visible"] = true,
				},
				["Sunnier-Antonidas"] = {
					["Visible"] = true,
				},
				["Togepi-Kel'Thuzad"] = {
				},
				["Suneri-Dragonblight"] = {
				},
				["Freshmint-Kel'Thuzad"] = {
				},
			},
			["Color"] = "ffffff",
			["LocalizedName"] = "Priest: discipline",
			["DoNotShow1HUpgrades"] = false,
			["NormalizationFactor"] = 1,
			["DoNotShow2HUpgrades"] = false,
			["UpgradesFollowSpecialization"] = true,
			["Provider"] = "Wowhead",
			["UnenchantedColor"] = "bfbfbf",
		},
		["\"Wowhead\":WarlockAffliction"] = {
			["PerCharacterOptions"] = {
				["Suneri-Kel'Thuzad"] = {
				},
				["Sunario-Kel'Thuzad"] = {
				},
				["Luneri-Sentinels"] = {
				},
				["Itari-Kel'Thuzad"] = {
				},
				["Sunnier-Antonidas"] = {
				},
				["Noms-Arathor"] = {
					["Visible"] = true,
				},
				["Togepi-Kel'Thuzad"] = {
				},
				["Suneri-Dragonblight"] = {
				},
				["Freshmint-Kel'Thuzad"] = {
				},
			},
			["Color"] = "bca5ff",
			["LocalizedName"] = "Warlock: affliction",
			["DoNotShow1HUpgrades"] = false,
			["NormalizationFactor"] = 1,
			["DoNotShow2HUpgrades"] = false,
			["UpgradesFollowSpecialization"] = true,
			["Provider"] = "Wowhead",
			["UnenchantedColor"] = "8d7bbf",
		},
		["\"Wowhead\":MageFrost"] = {
			["PerCharacterOptions"] = {
				["Suneri-Kel'Thuzad"] = {
				},
				["Sunario-Kel'Thuzad"] = {
				},
				["Luneri-Sentinels"] = {
				},
				["Icier-Arathor"] = {
					["Visible"] = true,
				},
				["Suneri-Dragonblight"] = {
				},
				["Itari-Kel'Thuzad"] = {
				},
				["Togepi-Kel'Thuzad"] = {
				},
				["Sunnier-Antonidas"] = {
				},
				["Freshmint-Kel'Thuzad"] = {
				},
			},
			["Color"] = "69ccf0",
			["LocalizedName"] = "Mage: frost",
			["DoNotShow1HUpgrades"] = false,
			["NormalizationFactor"] = 1,
			["DoNotShow2HUpgrades"] = false,
			["UpgradesFollowSpecialization"] = true,
			["Provider"] = "Wowhead",
			["UnenchantedColor"] = "4e99b3",
		},
		["Feral Druid Cat (Mew)"] = {
			["PerCharacterOptions"] = {
				["Sunnier-Arathor"] = {
					["Visible"] = true,
				},
				["Sunari-Zuluhed"] = {
					["Visible"] = true,
					["BestItems"] = {
						["INVTYPE_HEAD"] = {
							224.66304, -- [1]
							31039, -- [2]
							0, -- [3]
						},
						["INVTYPE_FEET"] = {
							164.19329, -- [1]
							34573, -- [2]
							0, -- [3]
						},
						["INVTYPE_2HWEAPON"] = {
							840.1375350000001, -- [1]
							30883, -- [2]
							0, -- [3]
						},
						["INVTYPE_HAND"] = {
							156.38312, -- [1]
							31034, -- [2]
							0, -- [3]
						},
						["INVTYPE_WAIST"] = {
							176.52907, -- [1]
							34556, -- [2]
							0, -- [3]
						},
						["INVTYPE_WRIST"] = {
							134.9104, -- [1]
							34444, -- [2]
							0, -- [3]
						},
						["INVTYPE_LEGS"] = {
							208.30187, -- [1]
							31044, -- [2]
							0, -- [3]
						},
						["INVTYPE_SHOULDER"] = {
							184.7086, -- [1]
							31048, -- [2]
							0, -- [3]
						},
						["INVTYPE_CHEST"] = {
							258.0164600000001, -- [1]
							31042, -- [2]
							0, -- [3]
						},
					},
				},
			},
			["UpgradesFollowSpecialization"] = true,
			["Color"] = "e67e24",
			["UnenchantedColor"] = "ac5e1b",
			["Values"] = {
				["IsWand"] = -1000000,
				["IsFist"] = -1000000,
				["IsMace"] = -1000000,
				["CritRating"] = 0.88081,
				["IsAxe"] = -1000000,
				["Agility"] = 2.72092,
				["HasteRating"] = 0.91555,
				["MasteryRating"] = 1.1227,
				["IsCrossbow"] = -1000000,
				["IsGun"] = -1000000,
				["Intellect"] = -1000000,
				["MeleeDps"] = 4.25637,
				["Is2HAxe"] = -1000000,
				["ExpertiseRating"] = 0.75761,
				["IsDagger"] = -1000000,
				["IsBow"] = -1000000,
				["Strength"] = 2.08089,
				["IsSword"] = -1000000,
				["IsPlate"] = -1000000,
				["IsMail"] = -1000000,
				["HitRating"] = 0.75761,
				["Is2HSword"] = -1000000,
				["SpellPower"] = -1000000,
				["IsShield"] = -1000000,
				["Ap"] = 0.9909,
			},
		},
		["\"Wowhead\":ShamanRestoration"] = {
			["PerCharacterOptions"] = {
				["Suneri-Kel'Thuzad"] = {
				},
				["Sunario-Kel'Thuzad"] = {
				},
				["Luneri-Sentinels"] = {
				},
				["Suneri-Dragonblight"] = {
				},
				["Itari-Kel'Thuzad"] = {
				},
				["Stormier-Whisperwind"] = {
					["Visible"] = true,
				},
				["Togepi-Kel'Thuzad"] = {
				},
				["Sunnier-Antonidas"] = {
				},
				["Freshmint-Kel'Thuzad"] = {
				},
			},
			["Color"] = "6e95ff",
			["LocalizedName"] = "Shaman: restoration",
			["DoNotShow1HUpgrades"] = false,
			["NormalizationFactor"] = 1,
			["DoNotShow2HUpgrades"] = false,
			["UpgradesFollowSpecialization"] = true,
			["Provider"] = "Wowhead",
			["UnenchantedColor"] = "526fbf",
		},
		["Sunnierbear"] = {
			["DoNotShow1HUpgrades"] = true,
			["Values"] = {
				["IsOffHand"] = -1000000,
				["IsFist"] = -1000000,
				["IsMace"] = -1000000,
				["CritRating"] = 0.2751,
				["MasteryRating"] = 0.3796,
				["Agility"] = 1,
				["ExpertiseRating"] = 0.2823,
				["IsDagger"] = -1000000,
				["Armor"] = 0.888,
				["IsGun"] = -1000000,
				["IsFrill"] = -1000000,
				["Is2HAxe"] = -1000000,
				["IsWand"] = -1000000,
				["IsBow"] = -1000000,
				["Strength"] = 0.1526,
				["IsSword"] = -1000000,
				["HitRating"] = 0.1726,
				["HasteRating"] = 0.06510000000000001,
				["DodgeRating"] = 0.7719,
				["Stamina"] = 0.1808,
				["IsCrossbow"] = -1000000,
				["IsAxe"] = -1000000,
				["Is2HSword"] = -1000000,
			},
			["UpgradesFollowSpecialization"] = true,
			["DoNotShow2HUpgrades"] = true,
			["PerCharacterOptions"] = {
				["Sunnier-Whisperwind"] = {
					["Visible"] = 1,
				},
			},
		},
		["\"Wowhead\":MageFire"] = {
			["PerCharacterOptions"] = {
				["Suneri-Kel'Thuzad"] = {
				},
				["Sunario-Kel'Thuzad"] = {
				},
				["Luneri-Sentinels"] = {
				},
				["Icier-Arathor"] = {
					["Visible"] = true,
				},
				["Suneri-Dragonblight"] = {
				},
				["Itari-Kel'Thuzad"] = {
				},
				["Togepi-Kel'Thuzad"] = {
				},
				["Sunnier-Antonidas"] = {
				},
				["Freshmint-Kel'Thuzad"] = {
				},
			},
			["Color"] = "69ccf0",
			["LocalizedName"] = "Mage: fire",
			["DoNotShow1HUpgrades"] = false,
			["NormalizationFactor"] = 1,
			["DoNotShow2HUpgrades"] = false,
			["UpgradesFollowSpecialization"] = true,
			["Provider"] = "Wowhead",
			["UnenchantedColor"] = "4e99b3",
		},
		["\"Wowhead\":WarriorFury"] = {
			["PerCharacterOptions"] = {
				["Suneri-Kel'Thuzad"] = {
				},
				["Eple-Arathor"] = {
					["Visible"] = true,
				},
				["Sunnier-Maiev"] = {
					["Visible"] = true,
				},
				["Sunario-Kel'Thuzad"] = {
				},
				["Luneri-Sentinels"] = {
				},
				["Suneri-Dragonblight"] = {
				},
				["Sunnier-Suramar"] = {
					["Visible"] = true,
					["BestItems"] = {
						["INVTYPE_HEAD"] = {
							142.8968824940048, -- [1]
							78694, -- [2]
							0, -- [3]
						},
						["INVTYPE_FEET"] = {
							85.55008301051467, -- [1]
							78462, -- [2]
							0, -- [3]
						},
						["INVTYPE_CLOAK"] = {
							56.54012174875484, -- [1]
							71415, -- [2]
							0, -- [3]
						},
						["INVTYPE_2HWEAPON"] = {
							532.0541017735262, -- [1]
							78473, -- [2]
							0, -- [3]
						},
						["INVTYPE_FINGER"] = {
							65.53384984320236, -- [1]
							78489, -- [2]
							0, -- [3]
							54.5229662423907, -- [4]
							78413, -- [5]
							0, -- [6]
						},
						["INVTYPE_SHOULDER"] = {
							87.45821804095185, -- [1]
							78743, -- [2]
							0, -- [3]
						},
						["INVTYPE_HAND"] = {
							97.17598229109019, -- [1]
							78684, -- [2]
							0, -- [3]
						},
						["INVTYPE_WAIST"] = {
							104.2595462091865, -- [1]
							78388, -- [2]
							0, -- [3]
						},
						["INVTYPE_NECK"] = {
							29.4495480538646, -- [1]
							71610, -- [2]
							0, -- [3]
						},
						["INVTYPE_LEGS"] = {
							144.9592326139089, -- [1]
							78713, -- [2]
							0, -- [3]
						},
						["INVTYPE_WRIST"] = {
							54.36801328168234, -- [1]
							78446, -- [2]
							0, -- [3]
						},
						["INVTYPE_CHEST"] = {
							107.9365430732337, -- [1]
							78665, -- [2]
							0, -- [3]
						},
					},
				},
				["Itari-Kel'Thuzad"] = {
				},
				["Sunnier-Antonidas"] = {
				},
				["Togepi-Kel'Thuzad"] = {
				},
				["Romancer-Whisperwind"] = {
					["Visible"] = true,
				},
				["Freshmint-Kel'Thuzad"] = {
				},
			},
			["Color"] = "c79c6e",
			["LocalizedName"] = "Warrior: fury",
			["DoNotShow1HUpgrades"] = false,
			["NormalizationFactor"] = 1,
			["DoNotShow2HUpgrades"] = false,
			["UpgradesFollowSpecialization"] = true,
			["Provider"] = "Wowhead",
			["UnenchantedColor"] = "957552",
		},
		["\"Wowhead\":DeathKnightBloodDps"] = {
			["PerCharacterOptions"] = {
				["Suneri-Kel'Thuzad"] = {
				},
				["Sunario-Kel'Thuzad"] = {
				},
				["Luneri-Sentinels"] = {
					["Visible"] = true,
				},
				["Itari-Kel'Thuzad"] = {
				},
				["Suneri-Dragonblight"] = {
				},
				["Togepi-Kel'Thuzad"] = {
				},
				["Sunnier-Antonidas"] = {
				},
				["Freshmint-Kel'Thuzad"] = {
					["Visible"] = true,
				},
			},
			["Color"] = "ff4d6b",
			["LocalizedName"] = "DK: blood DPS",
			["NormalizationFactor"] = 1,
			["UpgradesFollowSpecialization"] = true,
			["Provider"] = "Wowhead",
			["UnenchantedColor"] = "bf3950",
		},
		["Survival"] = {
			["NormalizationFactor"] = 1,
			["PerCharacterOptions"] = {
				["Cloudier-Whisperwind"] = {
					["Visible"] = true,
					["BestItems"] = {
						["INVTYPE_HEAD"] = {
							125.8451784134473, -- [1]
							72859, -- [2]
							0, -- [3]
						},
						["INVTYPE_FEET"] = {
							89.29283397227957, -- [1]
							77175, -- [2]
							0, -- [3]
						},
						["INVTYPE_CHEST"] = {
							55.54497198466528, -- [1]
							65862, -- [2]
							0, -- [3]
						},
						["INVTYPE_WRIST"] = {
							65.17723385432025, -- [1]
							77321, -- [2]
							0, -- [3]
						},
						["INVTYPE_2HWEAPON"] = {
							403.6222353288115, -- [1]
							78480, -- [2]
							0, -- [3]
						},
						["INVTYPE_LEGS"] = {
							110.9424948392804, -- [1]
							78804, -- [2]
							0, -- [3]
						},
						["INVTYPE_HAND"] = {
							84.42052491890297, -- [1]
							78769, -- [2]
							0, -- [3]
						},
						["INVTYPE_WAIST"] = {
							78.25243291064582, -- [1]
							72887, -- [2]
							0, -- [3]
						},
						["INVTYPE_NECK"] = {
							60.51931583603656, -- [1]
							71129, -- [2]
							0, -- [3]
						},
						["INVTYPE_SHOULDER"] = {
							80.02772043644941, -- [1]
							72870, -- [2]
							0, -- [3]
						},
						["INVTYPE_FINGER"] = {
							54.5594219994102, -- [1]
							72845, -- [2]
							0, -- [3]
							51.44824535535241, -- [4]
							72880, -- [5]
							0, -- [6]
						},
						["INVTYPE_CLOAK"] = {
							48.3370687112946, -- [1]
							71268, -- [2]
							0, -- [3]
						},
					},
				},
			},
			["UpgradesFollowSpecialization"] = true,
			["Color"] = "abd473",
			["Values"] = {
				["IsWand"] = -1000000,
				["RangedDps"] = 70,
				["Is2HMace"] = -1000000,
				["IsMace"] = -1000000,
				["CritRating"] = 35,
				["Stamina"] = 0.1,
				["IsPlate"] = -1000000,
				["HitRating"] = 35,
				["Agility"] = 44,
				["HasteRating"] = 29,
				["MasteryRating"] = 12,
				["Speed"] = 100,
				["MetaSocketEffect"] = 7200,
				["IsShield"] = -1000000,
				["Ap"] = 14,
			},
		},
		["\"Wowhead\":RogueSubtlety"] = {
			["PerCharacterOptions"] = {
				["Suneri-Kel'Thuzad"] = {
				},
				["Sunario-Kel'Thuzad"] = {
				},
				["Luneri-Sentinels"] = {
				},
				["Sunniest-Whisperwind"] = {
					["Visible"] = true,
				},
				["Itari-Kel'Thuzad"] = {
				},
				["Sunnier-Antonidas"] = {
				},
				["Togepi-Kel'Thuzad"] = {
				},
				["Suneri-Dragonblight"] = {
				},
				["Freshmint-Kel'Thuzad"] = {
				},
			},
			["Color"] = "fff569",
			["LocalizedName"] = "Rogue: subtlety",
			["DoNotShow1HUpgrades"] = false,
			["NormalizationFactor"] = 1,
			["DoNotShow2HUpgrades"] = true,
			["UpgradesFollowSpecialization"] = true,
			["Provider"] = "Wowhead",
			["UnenchantedColor"] = "bfb74e",
		},
		["\"Wowhead\":WarlockDemonology"] = {
			["PerCharacterOptions"] = {
				["Suneri-Kel'Thuzad"] = {
				},
				["Sunario-Kel'Thuzad"] = {
				},
				["Luneri-Sentinels"] = {
				},
				["Itari-Kel'Thuzad"] = {
				},
				["Sunnier-Antonidas"] = {
				},
				["Noms-Arathor"] = {
					["Visible"] = true,
				},
				["Togepi-Kel'Thuzad"] = {
				},
				["Suneri-Dragonblight"] = {
				},
				["Freshmint-Kel'Thuzad"] = {
				},
			},
			["Color"] = "bca5ff",
			["LocalizedName"] = "Warlock: demonology",
			["DoNotShow1HUpgrades"] = false,
			["NormalizationFactor"] = 1,
			["DoNotShow2HUpgrades"] = false,
			["UpgradesFollowSpecialization"] = true,
			["Provider"] = "Wowhead",
			["UnenchantedColor"] = "8d7bbf",
		},
		["\"Wowhead\":MonkBrewmaster"] = {
			["PerCharacterOptions"] = {
			},
			["Color"] = "00ff96",
			["LocalizedName"] = "Monk: brewmaster",
			["DoNotShow1HUpgrades"] = false,
			["NormalizationFactor"] = 1,
			["DoNotShow2HUpgrades"] = false,
			["UpgradesFollowSpecialization"] = true,
			["Provider"] = "Wowhead",
			["UnenchantedColor"] = "00bf70",
		},
		["\"Wowhead\":DruidRestoration"] = {
			["PerCharacterOptions"] = {
				["Suneri-Kel'Thuzad"] = {
				},
				["Sunnier-Korgath"] = {
					["Visible"] = true,
					["BestItems"] = {
						["INVTYPE_NECK"] = {
							0.001720060202107074, -- [1]
							34657, -- [2]
							0, -- [3]
						},
						["INVTYPE_FINGER"] = {
							0.5160180606321221, -- [1]
							38147, -- [2]
							0, -- [3]
							0.0008600301010535369, -- [4]
							34658, -- [5]
							0, -- [6]
						},
						["INVTYPE_CLOAK"] = {
							0.00150505267684369, -- [1]
							34659, -- [2]
							0, -- [3]
						},
					},
				},
				["Sunnier-Alleria"] = {
					["Visible"] = true,
				},
				["Sunario-Kel'Thuzad"] = {
				},
				["Sunari-Zuluhed"] = {
					["Visible"] = true,
					["BestItems"] = {
						["INVTYPE_HEAD"] = {
							39.5807353257364, -- [1]
							31039, -- [2]
							0, -- [3]
						},
						["INVTYPE_FEET"] = {
							4.920017200602021, -- [1]
							34573, -- [2]
							0, -- [3]
						},
						["INVTYPE_2HWEAPON"] = {
							0.02064072242528489, -- [1]
							30883, -- [2]
							0, -- [3]
						},
						["INVTYPE_HAND"] = {
							5.175661148140184, -- [1]
							31034, -- [2]
							0, -- [3]
						},
						["INVTYPE_WRIST"] = {
							6.506987744571059, -- [1]
							34444, -- [2]
							0, -- [3]
						},
						["INVTYPE_WAIST"] = {
							5.175661148140184, -- [1]
							34556, -- [2]
							0, -- [3]
						},
						["INVTYPE_NECK"] = {
							0.01053536873790583, -- [1]
							32757, -- [2]
							0, -- [3]
						},
						["INVTYPE_LEGS"] = {
							4.66458826058912, -- [1]
							31044, -- [2]
							0, -- [3]
						},
						["INVTYPE_SHOULDER"] = {
							6.723070307460761, -- [1]
							31048, -- [2]
							0, -- [3]
						},
						["INVTYPE_CHEST"] = {
							10.08191786712535, -- [1]
							31042, -- [2]
							0, -- [3]
						},
					},
				},
				["Luneri-Sentinels"] = {
				},
				["Sunniest-Suramar"] = {
					["Visible"] = true,
				},
				["Suneri-Dragonblight"] = {
					["Visible"] = true,
				},
				["Sunniursa-Alleria"] = {
					["Visible"] = true,
				},
				["Sunnier-Antonidas"] = {
				},
				["Suneri-Sentinels"] = {
					["Visible"] = true,
				},
				["Togepi-Kel'Thuzad"] = {
				},
				["Itari-Kel'Thuzad"] = {
					["Visible"] = true,
				},
				["Freshmint-Kel'Thuzad"] = {
				},
			},
			["Color"] = "ff7d0a",
			["LocalizedName"] = "Druid: restoration",
			["DoNotShow1HUpgrades"] = false,
			["NormalizationFactor"] = 1,
			["DoNotShow2HUpgrades"] = false,
			["UpgradesFollowSpecialization"] = true,
			["Provider"] = "Wowhead",
			["UnenchantedColor"] = "bf5d07",
		},
		["\"Wowhead\":PaladinHoly"] = {
			["PerCharacterOptions"] = {
				["Suneri-Kel'Thuzad"] = {
				},
				["Sunario-Kel'Thuzad"] = {
				},
				["Luneri-Sentinels"] = {
				},
				["Safry-Maiev"] = {
					["Visible"] = true,
				},
				["Itari-Kel'Thuzad"] = {
				},
				["Freshmint-Kel'Thuzad"] = {
				},
				["Sunnier-Antonidas"] = {
				},
				["Suneri-Dragonblight"] = {
				},
				["Togepi-Kel'Thuzad"] = {
				},
				["Romancer-Arathor"] = {
					["Visible"] = true,
				},
				["Moonier-Arathor"] = {
					["Visible"] = true,
				},
			},
			["Color"] = "f58cba",
			["LocalizedName"] = "Paladin: holy",
			["DoNotShow1HUpgrades"] = false,
			["NormalizationFactor"] = 1,
			["DoNotShow2HUpgrades"] = true,
			["UpgradesFollowSpecialization"] = true,
			["Provider"] = "Wowhead",
			["UnenchantedColor"] = "b7698b",
		},
		["\"Wowhead\":HunterMarksman"] = {
			["PerCharacterOptions"] = {
				["Suneri-Kel'Thuzad"] = {
					["Visible"] = true,
				},
				["Sunario-Kel'Thuzad"] = {
					["Visible"] = true,
				},
				["Luneri-Sentinels"] = {
				},
				["Bearling-Whisperwind"] = {
					["Visible"] = true,
				},
				["Suneri-Dragonblight"] = {
				},
				["Itari-Kel'Thuzad"] = {
				},
				["Cloudier-Whisperwind"] = {
					["Visible"] = true,
					["BestItems"] = {
						["INVTYPE_HEAD"] = {
							135.543960558751, -- [1]
							72859, -- [2]
							0, -- [3]
						},
						["INVTYPE_FEET"] = {
							73.84333059435771, -- [1]
							77175, -- [2]
							0, -- [3]
						},
						["INVTYPE_CHEST"] = {
							46.75239660367023, -- [1]
							65862, -- [2]
							0, -- [3]
						},
						["INVTYPE_WRIST"] = {
							62.26677622569159, -- [1]
							77321, -- [2]
							0, -- [3]
						},
						["INVTYPE_2HWEAPON"] = {
							431.6359901396877, -- [1]
							78480, -- [2]
							0, -- [3]
						},
						["INVTYPE_SHOULDER"] = {
							71.77047384278281, -- [1]
							72870, -- [2]
							0, -- [3]
						},
						["INVTYPE_HAND"] = {
							76.21473568885237, -- [1]
							78769, -- [2]
							0, -- [3]
						},
						["INVTYPE_WAIST"] = {
							60.57901944672693, -- [1]
							72887, -- [2]
							0, -- [3]
						},
						["INVTYPE_NECK"] = {
							52.89537113119692, -- [1]
							71129, -- [2]
							0, -- [3]
						},
						["INVTYPE_LEGS"] = {
							87.01342098055326, -- [1]
							78804, -- [2]
							0, -- [3]
						},
						["INVTYPE_FINGER"] = {
							42.20514927417146, -- [1]
							72880, -- [2]
							0, -- [3]
							41.98603122432211, -- [4]
							72845, -- [5]
							0, -- [6]
						},
						["INVTYPE_CLOAK"] = {
							46.13284031772118, -- [1]
							71268, -- [2]
							0, -- [3]
						},
					},
				},
				["Togepi-Kel'Thuzad"] = {
					["Visible"] = true,
				},
				["Sunnier-Antonidas"] = {
				},
				["Freshmint-Kel'Thuzad"] = {
				},
			},
			["Color"] = "abd473",
			["LocalizedName"] = "Hunter: marksman",
			["DoNotShow1HUpgrades"] = false,
			["NormalizationFactor"] = 1,
			["DoNotShow2HUpgrades"] = false,
			["UpgradesFollowSpecialization"] = true,
			["Provider"] = "Wowhead",
			["UnenchantedColor"] = "809f56",
		},
		["\"Wowhead\":DeathKnightFrostDps"] = {
			["PerCharacterOptions"] = {
				["Suneri-Kel'Thuzad"] = {
				},
				["Happier-Whisperwind"] = {
					["Visible"] = true,
				},
				["Sunario-Kel'Thuzad"] = {
				},
				["Luneri-Sentinels"] = {
					["Visible"] = true,
				},
				["Itari-Kel'Thuzad"] = {
				},
				["Suneri-Dragonblight"] = {
				},
				["Sunnier-Antonidas"] = {
				},
				["Solmancer-Arathor"] = {
					["Visible"] = true,
				},
				["Togepi-Kel'Thuzad"] = {
				},
				["Unholier-Arathor"] = {
					["Visible"] = true,
				},
				["Freshmint-Kel'Thuzad"] = {
					["Visible"] = true,
				},
			},
			["Color"] = "ff4d6b",
			["LocalizedName"] = "DK: frost",
			["DoNotShow1HUpgrades"] = false,
			["NormalizationFactor"] = 1,
			["DoNotShow2HUpgrades"] = false,
			["UpgradesFollowSpecialization"] = true,
			["Provider"] = "Wowhead",
			["UnenchantedColor"] = "bf3950",
		},
		["\"Wowhead\":DeathKnightFrostTank"] = {
			["PerCharacterOptions"] = {
				["Suneri-Kel'Thuzad"] = {
				},
				["Sunario-Kel'Thuzad"] = {
				},
				["Luneri-Sentinels"] = {
					["Visible"] = true,
				},
				["Itari-Kel'Thuzad"] = {
				},
				["Suneri-Dragonblight"] = {
				},
				["Togepi-Kel'Thuzad"] = {
				},
				["Sunnier-Antonidas"] = {
				},
				["Freshmint-Kel'Thuzad"] = {
					["Visible"] = true,
				},
			},
			["Color"] = "ff4d6b",
			["LocalizedName"] = "DK: frost tank",
			["NormalizationFactor"] = 1,
			["UpgradesFollowSpecialization"] = true,
			["Provider"] = "Wowhead",
			["UnenchantedColor"] = "bf3950",
		},
		["\"Wowhead\":PaladinRetribution"] = {
			["PerCharacterOptions"] = {
				["Suneri-Kel'Thuzad"] = {
				},
				["Sunario-Kel'Thuzad"] = {
				},
				["Luneri-Sentinels"] = {
				},
				["Safry-Maiev"] = {
					["Visible"] = true,
				},
				["Itari-Kel'Thuzad"] = {
				},
				["Freshmint-Kel'Thuzad"] = {
				},
				["Sunnier-Antonidas"] = {
				},
				["Suneri-Dragonblight"] = {
				},
				["Togepi-Kel'Thuzad"] = {
				},
				["Romancer-Arathor"] = {
					["Visible"] = true,
				},
				["Moonier-Arathor"] = {
					["Visible"] = true,
				},
			},
			["Color"] = "f58cba",
			["LocalizedName"] = "Paladin: retribution",
			["DoNotShow1HUpgrades"] = true,
			["NormalizationFactor"] = 1,
			["DoNotShow2HUpgrades"] = false,
			["UpgradesFollowSpecialization"] = true,
			["Provider"] = "Wowhead",
			["UnenchantedColor"] = "b7698b",
		},
		["\"Wowhead\":MonkWindwalker"] = {
			["PerCharacterOptions"] = {
			},
			["Color"] = "00ff96",
			["LocalizedName"] = "Monk: windwalker",
			["DoNotShow1HUpgrades"] = false,
			["NormalizationFactor"] = 1,
			["DoNotShow2HUpgrades"] = false,
			["UpgradesFollowSpecialization"] = true,
			["Provider"] = "Wowhead",
			["UnenchantedColor"] = "00bf70",
		},
		["\"Wowhead\":ShamanElemental"] = {
			["PerCharacterOptions"] = {
				["Suneri-Kel'Thuzad"] = {
				},
				["Sunario-Kel'Thuzad"] = {
				},
				["Luneri-Sentinels"] = {
				},
				["Suneri-Dragonblight"] = {
				},
				["Itari-Kel'Thuzad"] = {
				},
				["Stormier-Whisperwind"] = {
					["Visible"] = true,
				},
				["Togepi-Kel'Thuzad"] = {
				},
				["Sunnier-Antonidas"] = {
				},
				["Freshmint-Kel'Thuzad"] = {
				},
			},
			["Color"] = "6e95ff",
			["LocalizedName"] = "Shaman: elemental",
			["DoNotShow1HUpgrades"] = false,
			["NormalizationFactor"] = 1,
			["DoNotShow2HUpgrades"] = false,
			["UpgradesFollowSpecialization"] = true,
			["Provider"] = "Wowhead",
			["UnenchantedColor"] = "526fbf",
		},
		["\"Wowhead\":WarriorTank"] = {
			["PerCharacterOptions"] = {
				["Suneri-Kel'Thuzad"] = {
				},
				["Eple-Arathor"] = {
					["Visible"] = true,
				},
				["Sunnier-Maiev"] = {
					["Visible"] = true,
				},
				["Sunario-Kel'Thuzad"] = {
				},
				["Luneri-Sentinels"] = {
				},
				["Suneri-Dragonblight"] = {
				},
				["Sunnier-Suramar"] = {
					["Visible"] = true,
					["BestItems"] = {
						["INVTYPE_HEAD"] = {
							294.282982791587, -- [1]
							78694, -- [2]
							0, -- [3]
						},
						["INVTYPE_FEET"] = {
							219.4837476099426, -- [1]
							78462, -- [2]
							0, -- [3]
						},
						["INVTYPE_CLOAK"] = {
							131.3671128107075, -- [1]
							71415, -- [2]
							0, -- [3]
						},
						["INVTYPE_2HWEAPON"] = {
							154.34034416826, -- [1]
							78473, -- [2]
							0, -- [3]
						},
						["INVTYPE_FINGER"] = {
							110.9177820267687, -- [1]
							78489, -- [2]
							0, -- [3]
							93.80497131931166, -- [4]
							78413, -- [5]
							0, -- [6]
						},
						["INVTYPE_SHOULDER"] = {
							227.17017208413, -- [1]
							78743, -- [2]
							0, -- [3]
						},
						["INVTYPE_HAND"] = {
							189.4263862332696, -- [1]
							78684, -- [2]
							0, -- [3]
						},
						["INVTYPE_WAIST"] = {
							191.5009560229446, -- [1]
							78388, -- [2]
							0, -- [3]
						},
						["INVTYPE_NECK"] = {
							89.33078393881453, -- [1]
							71610, -- [2]
							0, -- [3]
						},
						["INVTYPE_LEGS"] = {
							285.4971319311663, -- [1]
							78713, -- [2]
							0, -- [3]
						},
						["INVTYPE_WRIST"] = {
							137.7055449330784, -- [1]
							78446, -- [2]
							0, -- [3]
						},
						["INVTYPE_CHEST"] = {
							293.3173996175908, -- [1]
							78665, -- [2]
							0, -- [3]
						},
					},
				},
				["Itari-Kel'Thuzad"] = {
				},
				["Sunnier-Antonidas"] = {
				},
				["Togepi-Kel'Thuzad"] = {
				},
				["Romancer-Whisperwind"] = {
					["Visible"] = true,
				},
				["Freshmint-Kel'Thuzad"] = {
				},
			},
			["Color"] = "c79c6e",
			["LocalizedName"] = "Warrior: tank",
			["DoNotShow1HUpgrades"] = false,
			["NormalizationFactor"] = 1,
			["DoNotShow2HUpgrades"] = true,
			["UpgradesFollowSpecialization"] = true,
			["Provider"] = "Wowhead",
			["UnenchantedColor"] = "957552",
		},
		["\"Wowhead\":DruidFeralDps"] = {
			["PerCharacterOptions"] = {
				["Suneri-Kel'Thuzad"] = {
				},
				["Sunnier-Korgath"] = {
					["Visible"] = true,
					["BestItems"] = {
						["INVTYPE_NECK"] = {
							1.27363409657674, -- [1]
							34657, -- [2]
							0, -- [3]
						},
						["INVTYPE_FINGER"] = {
							2.66379505781002, -- [1]
							38147, -- [2]
							0, -- [3]
							2.383586488324643, -- [4]
							34658, -- [5]
							0, -- [6]
						},
						["INVTYPE_CLOAK"] = {
							1.116980276581274, -- [1]
							34659, -- [2]
							0, -- [3]
						},
					},
				},
				["Sunnier-Alleria"] = {
					["Visible"] = true,
				},
				["Sunario-Kel'Thuzad"] = {
				},
				["Luneri-Sentinels"] = {
				},
				["Sunniest-Suramar"] = {
					["Visible"] = true,
				},
				["Itari-Kel'Thuzad"] = {
					["Visible"] = true,
				},
				["Sunniursa-Alleria"] = {
					["Visible"] = true,
				},
				["Suneri-Dragonblight"] = {
					["Visible"] = true,
				},
				["Suneri-Sentinels"] = {
					["Visible"] = true,
				},
				["Togepi-Kel'Thuzad"] = {
				},
				["Sunnier-Antonidas"] = {
				},
				["Freshmint-Kel'Thuzad"] = {
				},
			},
			["Color"] = "ff7d0a",
			["LocalizedName"] = "Druid: feral",
			["DoNotShow1HUpgrades"] = true,
			["NormalizationFactor"] = 1,
			["DoNotShow2HUpgrades"] = false,
			["UpgradesFollowSpecialization"] = true,
			["Provider"] = "Wowhead",
			["UnenchantedColor"] = "bf5d07",
		},
		["\"Wowhead\":DruidBalance"] = {
			["PerCharacterOptions"] = {
				["Suneri-Kel'Thuzad"] = {
				},
				["Sunnier-Korgath"] = {
					["Visible"] = true,
					["BestItems"] = {
						["INVTYPE_NECK"] = {
							1.060184277592629, -- [1]
							34657, -- [2]
							0, -- [3]
						},
						["INVTYPE_FINGER"] = {
							0.4077631836894726, -- [1]
							38147, -- [2]
							0, -- [3]
							0.0007841599686336013, -- [4]
							34658, -- [5]
							0, -- [6]
						},
						["INVTYPE_CLOAK"] = {
							0.001372279945108802, -- [1]
							34659, -- [2]
							0, -- [3]
						},
					},
				},
				["Sunnier-Alleria"] = {
					["Visible"] = true,
				},
				["Sunario-Kel'Thuzad"] = {
				},
				["Sunari-Zuluhed"] = {
					["Visible"] = true,
					["BestItems"] = {
						["INVTYPE_HEAD"] = {
							36.08900215643991, -- [1]
							31039, -- [2]
							0, -- [3]
						},
						["INVTYPE_FEET"] = {
							4.203685551852578, -- [1]
							34573, -- [2]
							0, -- [3]
						},
						["INVTYPE_2HWEAPON"] = {
							0.01881983924720643, -- [1]
							30883, -- [2]
							0, -- [3]
						},
						["INVTYPE_HAND"] = {
							4.405410703783572, -- [1]
							31034, -- [2]
							0, -- [3]
						},
						["INVTYPE_WRIST"] = {
							4.964516761419328, -- [1]
							34444, -- [2]
							0, -- [3]
						},
						["INVTYPE_WAIST"] = {
							8.463438541462457, -- [1]
							34556, -- [2]
							0, -- [3]
						},
						["INVTYPE_NECK"] = {
							0.009605959615761616, -- [1]
							32757, -- [2]
							0, -- [3]
						},
						["INVTYPE_LEGS"] = {
							8.31111546755538, -- [1]
							31044, -- [2]
							0, -- [3]
						},
						["INVTYPE_SHOULDER"] = {
							5.941776122328955, -- [1]
							31048, -- [2]
							0, -- [3]
						},
						["INVTYPE_CHEST"] = {
							8.910213683591453, -- [1]
							31042, -- [2]
							0, -- [3]
						},
					},
				},
				["Luneri-Sentinels"] = {
				},
				["Sunniest-Suramar"] = {
					["Visible"] = true,
				},
				["Suneri-Dragonblight"] = {
					["Visible"] = true,
				},
				["Sunniursa-Alleria"] = {
					["Visible"] = true,
				},
				["Sunnier-Antonidas"] = {
				},
				["Suneri-Sentinels"] = {
					["Visible"] = true,
				},
				["Togepi-Kel'Thuzad"] = {
				},
				["Itari-Kel'Thuzad"] = {
					["Visible"] = true,
				},
				["Freshmint-Kel'Thuzad"] = {
				},
			},
			["Color"] = "ff7d0a",
			["LocalizedName"] = "Druid: balance",
			["DoNotShow1HUpgrades"] = false,
			["NormalizationFactor"] = 1,
			["DoNotShow2HUpgrades"] = false,
			["UpgradesFollowSpecialization"] = true,
			["Provider"] = "Wowhead",
			["UnenchantedColor"] = "bf5d07",
		},
		["\"Wowhead\":MageArcane"] = {
			["PerCharacterOptions"] = {
				["Suneri-Kel'Thuzad"] = {
				},
				["Sunario-Kel'Thuzad"] = {
				},
				["Luneri-Sentinels"] = {
				},
				["Icier-Arathor"] = {
					["Visible"] = true,
				},
				["Suneri-Dragonblight"] = {
				},
				["Itari-Kel'Thuzad"] = {
				},
				["Togepi-Kel'Thuzad"] = {
				},
				["Sunnier-Antonidas"] = {
				},
				["Freshmint-Kel'Thuzad"] = {
				},
			},
			["Color"] = "69ccf0",
			["LocalizedName"] = "Mage: arcane",
			["DoNotShow1HUpgrades"] = false,
			["NormalizationFactor"] = 1,
			["DoNotShow2HUpgrades"] = false,
			["UpgradesFollowSpecialization"] = true,
			["Provider"] = "Wowhead",
			["UnenchantedColor"] = "4e99b3",
		},
		["\"Wowhead\":HunterSurvival"] = {
			["PerCharacterOptions"] = {
				["Suneri-Kel'Thuzad"] = {
					["Visible"] = true,
				},
				["Sunario-Kel'Thuzad"] = {
					["Visible"] = true,
				},
				["Luneri-Sentinels"] = {
				},
				["Bearling-Whisperwind"] = {
					["Visible"] = true,
				},
				["Suneri-Dragonblight"] = {
				},
				["Itari-Kel'Thuzad"] = {
				},
				["Togepi-Kel'Thuzad"] = {
					["Visible"] = true,
				},
				["Sunnier-Antonidas"] = {
				},
				["Freshmint-Kel'Thuzad"] = {
				},
			},
			["Color"] = "abd473",
			["LocalizedName"] = "Hunter: survival",
			["DoNotShow1HUpgrades"] = false,
			["NormalizationFactor"] = 1,
			["DoNotShow2HUpgrades"] = false,
			["UpgradesFollowSpecialization"] = true,
			["Provider"] = "Wowhead",
			["UnenchantedColor"] = "809f56",
		},
		["\"Wowhead\":DruidFeralTank"] = {
			["PerCharacterOptions"] = {
				["Suneri-Kel'Thuzad"] = {
				},
				["Sunnier-Korgath"] = {
					["Visible"] = true,
					["BestItems"] = {
						["INVTYPE_NECK"] = {
							0.792, -- [1]
							34657, -- [2]
							0, -- [3]
						},
						["INVTYPE_FINGER"] = {
							2.125333333333333, -- [1]
							38147, -- [2]
							0, -- [3]
							1.88, -- [4]
							34658, -- [5]
							0, -- [6]
						},
						["INVTYPE_CLOAK"] = {
							4.032, -- [1]
							34659, -- [2]
							0, -- [3]
						},
					},
				},
				["Sunnier-Alleria"] = {
					["Visible"] = true,
				},
				["Sunario-Kel'Thuzad"] = {
				},
				["Luneri-Sentinels"] = {
				},
				["Sunniest-Suramar"] = {
					["Visible"] = true,
				},
				["Itari-Kel'Thuzad"] = {
					["Visible"] = true,
				},
				["Sunniursa-Alleria"] = {
					["Visible"] = true,
				},
				["Suneri-Dragonblight"] = {
					["Visible"] = true,
				},
				["Suneri-Sentinels"] = {
					["Visible"] = true,
				},
				["Togepi-Kel'Thuzad"] = {
				},
				["Sunnier-Antonidas"] = {
				},
				["Freshmint-Kel'Thuzad"] = {
				},
			},
			["Color"] = "ff7d0a",
			["LocalizedName"] = "Druid: guardian",
			["DoNotShow1HUpgrades"] = true,
			["NormalizationFactor"] = 1,
			["DoNotShow2HUpgrades"] = false,
			["UpgradesFollowSpecialization"] = true,
			["Provider"] = "Wowhead",
			["UnenchantedColor"] = "bf5d07",
		},
		["\"Wowhead\":PriestHoly"] = {
			["PerCharacterOptions"] = {
				["Suneri-Kel'Thuzad"] = {
				},
				["Sunario-Kel'Thuzad"] = {
				},
				["Luneri-Sentinels"] = {
				},
				["Happier-Suramar"] = {
					["Visible"] = true,
				},
				["Itari-Kel'Thuzad"] = {
				},
				["Cloudier-Arathor"] = {
					["Visible"] = true,
				},
				["Sunnier-Antonidas"] = {
					["Visible"] = true,
				},
				["Togepi-Kel'Thuzad"] = {
				},
				["Suneri-Dragonblight"] = {
				},
				["Freshmint-Kel'Thuzad"] = {
				},
			},
			["Color"] = "ffffff",
			["LocalizedName"] = "Priest: holy",
			["DoNotShow1HUpgrades"] = false,
			["NormalizationFactor"] = 1,
			["DoNotShow2HUpgrades"] = false,
			["UpgradesFollowSpecialization"] = true,
			["Provider"] = "Wowhead",
			["UnenchantedColor"] = "bfbfbf",
		},
		["\"Wowhead\":DeathKnightBloodTank"] = {
			["PerCharacterOptions"] = {
				["Suneri-Kel'Thuzad"] = {
				},
				["Happier-Whisperwind"] = {
					["Visible"] = true,
				},
				["Sunario-Kel'Thuzad"] = {
				},
				["Luneri-Sentinels"] = {
					["Visible"] = true,
				},
				["Itari-Kel'Thuzad"] = {
				},
				["Suneri-Dragonblight"] = {
				},
				["Sunnier-Antonidas"] = {
				},
				["Solmancer-Arathor"] = {
					["Visible"] = true,
				},
				["Togepi-Kel'Thuzad"] = {
				},
				["Unholier-Arathor"] = {
					["Visible"] = true,
				},
				["Freshmint-Kel'Thuzad"] = {
					["Visible"] = true,
				},
			},
			["Color"] = "ff4d6b",
			["LocalizedName"] = "DK: blood",
			["DoNotShow1HUpgrades"] = true,
			["NormalizationFactor"] = 1,
			["DoNotShow2HUpgrades"] = false,
			["UpgradesFollowSpecialization"] = true,
			["Provider"] = "Wowhead",
			["UnenchantedColor"] = "bf3950",
		},
	},
	["ShownGettingStarted"] = true,
	["ButtonPosition"] = 2,
	["Digits"] = 1,
	["ShowQuestUpgradeAdvisor"] = true,
	["ShowItemID"] = false,
	["ShowUpgradesOnTooltips"] = true,
}
