
RSADB = {
	["namespaces"] = {
		["LibDualSpec-1.0"] = {
		},
	},
	["profileKeys"] = {
		["Suneri - Sentinels"] = "Suneri - Sentinels",
		["Sunari - Zuluhed"] = "Sunari - Zuluhed",
		["Lovelier - Fenris"] = "Lovelier - Fenris",
		["Sunnier - Fenris"] = "Sunnier - Fenris",
		["Happier - Suramar"] = "Happier - Suramar",
		["Sunnier - Alleria"] = "Sunnier - Alleria",
		["Romancer - Arathor"] = "Romancer - Arathor",
		["Bearling - Whisperwind"] = "Bearling - Whisperwind",
		["Moonier - Arathor"] = "Moonier - Arathor",
		["Lovelier - Alleria"] = "Lovelier - Alleria",
		["Sunnier - Arathor"] = "Sunnier - Arathor",
		["Cloudier - Arathor"] = "Cloudier - Arathor",
		["Togepi - Arathor"] = "Togepi - Arathor",
		["Stormier - Arathor"] = "Stormier - Arathor",
		["Sunnier - Whisperwind"] = "Sunnier - Whisperwind",
		["Eple - Arathor"] = "Eple - Arathor",
		["Romancer - Whisperwind"] = "Romancer - Whisperwind",
		["Sunnier - Korgath"] = "Sunnier - Korgath",
		["Sunniest - Whisperwind"] = "Sunniest - Whisperwind",
		["Sunniursa - Alleria"] = "Sunniursa - Alleria",
		["Chillier - Whisperwind"] = "Chillier - Whisperwind",
		["Cloudier - Whisperwind"] = "Cloudier - Whisperwind",
		["Happier - Whisperwind"] = "Happier - Whisperwind",
		["Fluffier - Whisperwind"] = "Fluffier - Whisperwind",
		["Icier - Arathor"] = "Icier - Arathor",
		["Noms - Arathor"] = "Noms - Arathor",
		["Sunnier - Suramar"] = "Sunnier - Suramar",
		["Cloudier - Alleria"] = "Cloudier - Alleria",
		["Unholier - Arathor"] = "Unholier - Arathor",
		["Sunniest - Suramar"] = "Sunniest - Suramar",
		["Stormier - Whisperwind"] = "Stormier - Whisperwind",
	},
	["global"] = {
		["version"] = "2.854",
	},
	["profiles"] = {
		["Suneri - Sentinels"] = {
			["General"] = {
				["Class"] = "DRUID",
			},
			["Modules"] = {
				["Druid"] = true,
			},
		},
		["Sunari - Zuluhed"] = {
			["General"] = {
				["Race"] = "Tauren",
				["Class"] = "DRUID",
			},
			["Modules"] = {
				["Druid"] = true,
			},
		},
		["Lovelier - Fenris"] = {
			["General"] = {
				["Race"] = "Tauren",
				["Class"] = "MONK",
			},
			["Modules"] = {
				["Monk"] = true,
			},
		},
		["Sunnier - Fenris"] = {
			["General"] = {
				["Race"] = "Pandaren",
				["GlobalAnnouncements"] = {
					["InScenario"] = false,
					["InLFG"] = false,
					["InTolBarad"] = false,
					["SmartSay"] = false,
					["SmartCustomChannel"] = false,
					["Arena"] = false,
					["InDungeon"] = false,
				},
				["Class"] = "MONK",
				["Spells"] = {
					["Cauldron"] = {
						["Smart"] = {
							["RaidParty"] = false,
						},
					},
					["Feasts"] = {
						["Smart"] = {
							["RaidParty"] = false,
						},
					},
				},
			},
			["Monk"] = {
				["Spells"] = {
					["DampenHarm"] = {
						["Smart"] = {
							["RaidParty"] = false,
						},
					},
					["LifeCocoon"] = {
						["Smart"] = {
							["RaidParty"] = false,
						},
					},
					["Guard"] = {
						["Smart"] = {
							["RaidParty"] = false,
						},
					},
					["Resuscitate"] = {
						["Smart"] = {
							["RaidParty"] = false,
						},
					},
					["SpearHandStrike"] = {
						["Messages"] = {
							["Start"] = "Sunnier interrupted [TARGET]",
							["Immune"] = "",
							["End"] = "",
						},
					},
					["Detox"] = {
						["Smart"] = {
							["RaidParty"] = false,
						},
					},
					["Provoke"] = {
						["Smart"] = {
							["RaidParty"] = false,
						},
					},
					["DiffuseMagic"] = {
						["Smart"] = {
							["RaidParty"] = false,
						},
					},
					["Paralysis"] = {
						["Smart"] = {
							["RaidParty"] = false,
						},
					},
					["AvertHarm"] = {
						["Smart"] = {
							["RaidParty"] = false,
							["Say"] = true,
						},
					},
					["ElusiveBrew"] = {
						["Smart"] = {
							["RaidParty"] = false,
						},
					},
					["ZenMeditation"] = {
						["Smart"] = {
							["Say"] = false,
						},
					},
				},
			},
			["Modules"] = {
				["Monk"] = true,
			},
		},
		["Happier - Suramar"] = {
			["General"] = {
				["Race"] = "NightElf",
				["Class"] = "PRIEST",
			},
		},
		["Sunnier - Alleria"] = {
			["Modules"] = {
				["Druid"] = true,
			},
			["General"] = {
				["GlobalAnnouncements"] = {
					["InScenario"] = false,
					["InRaid"] = false,
					["InDungeon"] = false,
					["InTolBarad"] = false,
					["Arena"] = false,
					["SmartCustomChannel"] = false,
					["SmartSay"] = false,
				},
				["Race"] = "Pandaren",
				["Class"] = "MONK",
			},
			["Monk"] = {
				["Spells"] = {
					["SpearHandStrike"] = {
						["Smart"] = {
							["RaidParty"] = false,
							["Say"] = true,
						},
					},
				},
			},
		},
		["Romancer - Arathor"] = {
			["General"] = {
				["Class"] = "PALADIN",
			},
			["Modules"] = {
				["Paladin"] = true,
			},
		},
		["Bearling - Whisperwind"] = {
			["General"] = {
				["Race"] = "Worgen",
				["Class"] = "HUNTER",
			},
		},
		["Moonier - Arathor"] = {
			["General"] = {
				["Race"] = "Tauren",
				["Class"] = "PALADIN",
			},
		},
		["Lovelier - Alleria"] = {
			["General"] = {
				["Race"] = "Draenei",
				["Class"] = "PALADIN",
			},
		},
		["Sunnier - Arathor"] = {
			["Modules"] = {
				["Druid"] = true,
			},
			["Druid"] = {
				["Spells"] = {
					["SkullBash"] = {
						["Messages"] = {
							["Start"] = "Sunnier interrupted [TARGET]'s [TARLINK]!",
							["Immune"] = "",
							["End"] = "",
						},
						["Smart"] = {
							["RaidParty"] = false,
							["Say"] = true,
						},
					},
					["Tranquility"] = {
						["Smart"] = {
							["RaidParty"] = false,
						},
					},
					["Soothe"] = {
						["Smart"] = {
							["RaidParty"] = false,
						},
					},
					["Hibernate"] = {
						["Messages"] = {
							["End"] = "",
						},
						["Smart"] = {
							["RaidParty"] = false,
							["Say"] = true,
						},
					},
					["ChallengingRoar"] = {
						["Smart"] = {
							["RaidParty"] = false,
						},
					},
					["Growl"] = {
						["Smart"] = {
							["RaidParty"] = false,
						},
					},
					["Revive"] = {
						["Smart"] = {
							["RaidParty"] = false,
						},
						["Whisper"] = false,
					},
					["SolarBeam"] = {
						["Smart"] = {
							["RaidParty"] = false,
						},
					},
					["Thorns"] = {
						["Whisper"] = false,
					},
					["StampedingRoar"] = {
						["Smart"] = {
							["Say"] = false,
						},
					},
					["Roots"] = {
						["Messages"] = {
							["End"] = "",
						},
						["Smart"] = {
							["Say"] = true,
						},
					},
					["TreeOfLife"] = {
						["Smart"] = {
							["RaidParty"] = false,
						},
					},
					["Cyclone"] = {
						["Messages"] = {
							["End"] = "",
						},
						["Smart"] = {
							["RaidParty"] = false,
							["Say"] = true,
						},
					},
				},
			},
			["General"] = {
				["GlobalAnnouncements"] = {
					["InPvP"] = true,
					["InWorld"] = true,
					["Battlegrounds"] = true,
				},
				["Race"] = "Draenei",
				["Class"] = "WARRIOR",
				["Spells"] = {
					["Jeeves"] = {
						["Smart"] = {
							["RaidParty"] = false,
						},
					},
					["Cauldron"] = {
						["Smart"] = {
							["RaidParty"] = false,
						},
					},
					["Feasts"] = {
						["Smart"] = {
							["RaidParty"] = false,
						},
					},
				},
			},
		},
		["Cloudier - Arathor"] = {
			["General"] = {
				["Class"] = "PRIEST",
				["Race"] = "Human",
			},
		},
		["Togepi - Arathor"] = {
			["General"] = {
				["Race"] = "Draenei",
				["Class"] = "HUNTER",
			},
		},
		["Stormier - Arathor"] = {
			["General"] = {
				["Class"] = "SHAMAN",
				["Race"] = "Draenei",
			},
		},
		["Sunnier - Whisperwind"] = {
			["Modules"] = {
				["Druid"] = true,
			},
			["Druid"] = {
				["Spells"] = {
					["SkullBash"] = {
						["Messages"] = {
							["Start"] = "Sunnier interrupted [TARGET]'s [TARLINK]!",
							["Immune"] = "",
							["End"] = "",
						},
						["Smart"] = {
							["RaidParty"] = false,
							["Say"] = true,
						},
					},
					["Tranquility"] = {
						["Smart"] = {
							["RaidParty"] = false,
						},
					},
					["ChallengingRoar"] = {
						["Smart"] = {
							["RaidParty"] = false,
						},
					},
					["Growl"] = {
						["Smart"] = {
							["RaidParty"] = false,
						},
					},
					["StampedingRoar"] = {
						["Smart"] = {
							["Say"] = false,
						},
					},
					["SolarBeam"] = {
						["Smart"] = {
							["RaidParty"] = false,
						},
					},
					["Revive"] = {
						["Smart"] = {
							["RaidParty"] = false,
						},
						["Whisper"] = false,
					},
					["Hibernate"] = {
						["Messages"] = {
							["End"] = "",
						},
						["Smart"] = {
							["RaidParty"] = false,
							["Say"] = true,
						},
					},
					["Soothe"] = {
						["Smart"] = {
							["RaidParty"] = false,
						},
					},
					["Rebirth"] = {
						["Whisper"] = false,
					},
					["Barkskin"] = {
						["Messages"] = {
							["Start"] = "[LINK] activated! Small damage reduction!",
						},
					},
					["Thorns"] = {
						["Whisper"] = false,
					},
					["SurvivalInstincts"] = {
						["Smart"] = {
							["RaidParty"] = false,
							["Say"] = true,
						},
						["Messages"] = {
							["Start"] = "+++ [LINK] activated! Big damage reduction! +++",
						},
						["CustomChannel"] = {
							["Channel"] = "y",
						},
					},
					["FrenziedRegeneration"] = {
						["Messages"] = {
							["Start"] = "+++ [LINK] activated! Bear Tranq up! +++",
						},
						["Smart"] = {
							["Say"] = true,
						},
					},
					["Roots"] = {
						["Messages"] = {
							["End"] = "",
						},
						["Smart"] = {
							["Say"] = true,
						},
					},
					["TreeOfLife"] = {
						["Smart"] = {
							["RaidParty"] = false,
						},
					},
					["Cyclone"] = {
						["Messages"] = {
							["End"] = "",
						},
						["Smart"] = {
							["RaidParty"] = false,
							["Say"] = true,
						},
					},
				},
			},
			["General"] = {
				["GlobalAnnouncements"] = {
					["InTolBarad"] = false,
				},
				["Race"] = "Worgen",
				["Class"] = "DRUID",
				["Spells"] = {
					["Jeeves"] = {
						["Smart"] = {
							["RaidParty"] = false,
						},
					},
					["Feasts"] = {
						["Smart"] = {
							["RaidParty"] = false,
						},
					},
					["Cauldron"] = {
						["Smart"] = {
							["RaidParty"] = false,
						},
					},
				},
			},
		},
		["Eple - Arathor"] = {
			["General"] = {
				["Race"] = "Tauren",
				["Class"] = "WARRIOR",
			},
		},
		["Romancer - Whisperwind"] = {
			["General"] = {
				["Race"] = "Worgen",
				["Class"] = "WARRIOR",
			},
		},
		["Sunnier - Korgath"] = {
			["General"] = {
				["Race"] = "Draenei",
				["Class"] = "MONK",
			},
			["Modules"] = {
				["DeathKnight"] = true,
				["Druid"] = true,
				["Monk"] = true,
			},
		},
		["Sunniest - Whisperwind"] = {
			["General"] = {
				["Class"] = "ROGUE",
				["Race"] = "Dwarf",
			},
		},
		["Sunniursa - Alleria"] = {
			["Modules"] = {
				["Druid"] = true,
			},
			["Druid"] = {
				["Spells"] = {
					["SurvivalInstincts"] = {
						["Smart"] = {
							["RaidParty"] = false,
							["Say"] = true,
						},
						["Messages"] = {
							["Start"] = "+++ [LINK] activated! Big damage reduction! +++",
						},
						["CustomChannel"] = {
							["Channel"] = "y",
						},
					},
					["FrenziedRegeneration"] = {
						["Messages"] = {
							["Start"] = "+++ [LINK] activated! Bear Tranq up! +++",
						},
					},
					["ChallengingRoar"] = {
						["Smart"] = {
							["RaidParty"] = false,
						},
					},
					["Growl"] = {
						["Smart"] = {
							["RaidParty"] = false,
						},
					},
					["StampedingRoar"] = {
						["Smart"] = {
							["Say"] = false,
						},
					},
					["SolarBeam"] = {
						["Smart"] = {
							["RaidParty"] = false,
						},
					},
					["Revive"] = {
						["Smart"] = {
							["RaidParty"] = false,
						},
						["Whisper"] = false,
					},
					["Hibernate"] = {
						["Messages"] = {
							["End"] = "",
						},
						["Smart"] = {
							["RaidParty"] = false,
							["Say"] = true,
						},
					},
					["Soothe"] = {
						["Smart"] = {
							["RaidParty"] = false,
						},
					},
					["Rebirth"] = {
						["Whisper"] = false,
					},
					["Barkskin"] = {
						["Messages"] = {
							["Start"] = "[LINK] activated! Small damage reduction!",
						},
					},
					["Cyclone"] = {
						["Messages"] = {
							["End"] = "",
						},
						["Smart"] = {
							["RaidParty"] = false,
							["Say"] = true,
						},
					},
					["SkullBash"] = {
						["Messages"] = {
							["Start"] = "Sunnier interrupted [TARGET]'s [TARLINK]!",
							["Immune"] = "",
							["End"] = "",
						},
						["Smart"] = {
							["RaidParty"] = false,
							["Say"] = true,
						},
					},
					["Tranquility"] = {
						["Smart"] = {
							["RaidParty"] = false,
						},
					},
					["Roots"] = {
						["Messages"] = {
							["End"] = "",
						},
					},
					["TreeOfLife"] = {
						["Smart"] = {
							["RaidParty"] = false,
						},
					},
					["Thorns"] = {
						["Whisper"] = false,
					},
				},
			},
			["General"] = {
				["GlobalAnnouncements"] = {
					["InTolBarad"] = false,
				},
				["Race"] = "Worgen",
				["Class"] = "DRUID",
				["Spells"] = {
					["Jeeves"] = {
						["Smart"] = {
							["RaidParty"] = false,
						},
					},
					["Cauldron"] = {
						["Smart"] = {
							["RaidParty"] = false,
						},
					},
					["Feasts"] = {
						["Smart"] = {
							["RaidParty"] = false,
						},
					},
				},
			},
		},
		["Chillier - Whisperwind"] = {
			["General"] = {
				["Race"] = "Goblin",
				["Class"] = "MAGE",
			},
		},
		["Cloudier - Whisperwind"] = {
			["General"] = {
				["Race"] = "Draenei",
				["Class"] = "HUNTER",
			},
			["Modules"] = {
				["Hunter"] = true,
			},
		},
		["Happier - Whisperwind"] = {
			["General"] = {
				["Class"] = "DEATHKNIGHT",
				["Race"] = "Worgen",
			},
		},
		["Fluffier - Whisperwind"] = {
			["General"] = {
				["Race"] = "Worgen",
				["Class"] = "WARLOCK",
			},
		},
		["Icier - Arathor"] = {
			["General"] = {
				["Class"] = "MAGE",
				["Race"] = "Goblin",
			},
		},
		["Noms - Arathor"] = {
			["General"] = {
				["Race"] = "Human",
				["Class"] = "WARLOCK",
			},
		},
		["Sunnier - Suramar"] = {
			["General"] = {
				["Class"] = "DRUID",
				["Race"] = "Worgen",
			},
			["Modules"] = {
				["Warrior"] = true,
				["Druid"] = true,
			},
		},
		["Cloudier - Alleria"] = {
			["General"] = {
				["Race"] = "Worgen",
				["Class"] = "WARRIOR",
			},
		},
		["Unholier - Arathor"] = {
			["General"] = {
				["Class"] = "DEATHKNIGHT",
				["Race"] = "Worgen",
			},
		},
		["Sunniest - Suramar"] = {
			["Modules"] = {
				["Druid"] = true,
			},
			["Druid"] = {
				["Spells"] = {
					["SurvivalInstincts"] = {
						["Smart"] = {
							["RaidParty"] = false,
							["Say"] = true,
						},
						["Messages"] = {
							["Start"] = "+++ [LINK] activated! Big damage reduction! +++",
						},
						["CustomChannel"] = {
							["Channel"] = "y",
						},
					},
					["FrenziedRegeneration"] = {
						["Messages"] = {
							["Start"] = "+++ [LINK] activated! Bear Tranq up! +++",
						},
						["Smart"] = {
							["Say"] = true,
						},
					},
					["ChallengingRoar"] = {
						["Smart"] = {
							["RaidParty"] = false,
						},
					},
					["Growl"] = {
						["Smart"] = {
							["RaidParty"] = false,
						},
					},
					["StampedingRoar"] = {
						["Smart"] = {
							["Say"] = false,
						},
					},
					["SolarBeam"] = {
						["Smart"] = {
							["RaidParty"] = false,
						},
					},
					["Revive"] = {
						["Smart"] = {
							["RaidParty"] = false,
						},
						["Whisper"] = false,
					},
					["Hibernate"] = {
						["Messages"] = {
							["End"] = "",
						},
						["Smart"] = {
							["RaidParty"] = false,
							["Say"] = true,
						},
					},
					["Soothe"] = {
						["Smart"] = {
							["RaidParty"] = false,
						},
					},
					["Rebirth"] = {
						["Whisper"] = false,
					},
					["Barkskin"] = {
						["Messages"] = {
							["Start"] = "[LINK] activated! Small damage reduction!",
						},
					},
					["Thorns"] = {
						["Whisper"] = false,
					},
					["SkullBash"] = {
						["Messages"] = {
							["Start"] = "Sunnier interrupted [TARGET]'s [TARLINK]!",
							["Immune"] = "",
							["End"] = "",
						},
						["Smart"] = {
							["RaidParty"] = false,
							["Say"] = true,
						},
					},
					["Tranquility"] = {
						["Smart"] = {
							["RaidParty"] = false,
						},
					},
					["Roots"] = {
						["Messages"] = {
							["End"] = "",
						},
						["Smart"] = {
							["Say"] = true,
						},
					},
					["TreeOfLife"] = {
						["Smart"] = {
							["RaidParty"] = false,
						},
					},
					["Cyclone"] = {
						["Messages"] = {
							["End"] = "",
						},
						["Smart"] = {
							["RaidParty"] = false,
							["Say"] = true,
						},
					},
				},
			},
			["General"] = {
				["GlobalAnnouncements"] = {
					["InTolBarad"] = false,
				},
				["Race"] = "Worgen",
				["Class"] = "DRUID",
				["Spells"] = {
					["Jeeves"] = {
						["Smart"] = {
							["RaidParty"] = false,
						},
					},
					["Feasts"] = {
						["Smart"] = {
							["RaidParty"] = false,
						},
					},
					["Cauldron"] = {
						["Smart"] = {
							["RaidParty"] = false,
						},
					},
				},
			},
		},
		["Stormier - Whisperwind"] = {
			["General"] = {
				["Race"] = "Draenei",
				["Class"] = "SHAMAN",
			},
		},
	},
}
